# Submit a profile creation job

An alternate endpoint for computing a profile for a large boundary asynchronously, where a request against the regular
endpoint would result in a timeout.

The request format is the same, but instead of the result, you are given a job identification number that
you can use to retrieve the result once it is available.

Endpoint: POST /profiles/calculate
Version: 1.0.0
Security: key

## Request fields (application/json):

  - `profile` (string)
    The built-in profile your new custom profile shall be based on.
    Enum: "foot", "bike", "ecargobike", "car", "small_truck", "truck", "scooter"

  - `bounds` (object)
    The area of the profile, either a rectangle (bbox) or polygons (features).
    Example: {"bbox":[11.45462,48.00954,11.77322,48.2076]}

  - `custom_model` (object)
    The custom_model modifies the routing behaviour of the given profile. See the [detailed documentation](#tag/Custom-Model). 
Here is a complete example that limits all speeds to 100km/h, avoids motorways and makes shorter routes a bit more likely than the default due to a higher distance_influence.

json
{
  "speed": [
    {
      "if": "true",
      "limit_to": 100
    }
  ],
  "priority": [
    {
      "if": "road_class == MOTORWAY",
      "multiply_by": 0.1
    }
  ],
  "distance_influence": 100
}
    Example: {"priority":[{"if":"road_access == PRIVATE","multiply_by":"0"},{"if":"road_class == MOTORWAY","multiply_by":"0"}]}

  - `custom_model.speed` (array)
    See [speed customization](#tag/Custom-Model/Customizing-speed)

  - `custom_model.priority` (array)
    See [priority customization](#tag/Custom-Model/Customizing-priority)
    Example: [{"if":"road_access == PRIVATE","multiply_by":"0"},{"if":"road_class == MOTORWAY","multiply_by":"0"}]

  - `custom_model.distance_influence` (number)
    Use higher values to prefer shorter routes. See [here](#tag/Custom-Model/Customizing-distance_influence) for more details.

  - `custom_model.areas` (object)
    Areas are given in a GeoJson format. Currently only one format is supported: one object with type Feature, a geometry with type Polygon and optional (but ignored) id and properties fields. See more details and an example [here](#tag/Custom-Model/Define-areas).

## Response 200 fields (application/json):

  - `job_id` (string)
    UUID. Unique id for your job/request with which you can fetch your solution
    Example: "44886560-b584-4da5-b245-768151dacd8f"


